%******************************************************************
%
%   [axB] = cross_x(a,B)
%
%******************************************************************
%
%   Vector product operation
%
%    given vector a and tensor B,
%    computes the vector product operator axB
%
%******************************************************************
% Lorenzo Trainelli - DIA PoliMi - Nov 2002
%******************************************************************
%
function [axB] = cross_x(a,B)
%
% >>> Operation
%
axB = [ a(2)*B(3,:) - a(3)*B(2,:)  ;
        a(3)*B(1,:) - a(1)*B(3,:)  ;
        a(1)*B(2,:) - a(2)*B(1,:) ];